local VillageDeco = ...

-- register Small Logs 1
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Small1", "PREFAB_SMALLWOOD1")
-- register Small Logs 2
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Small2", "PREFAB_SMALLWOOD2")
-- register Small Logs 3
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Small3", "PREFAB_SMALLWOOD3")
-- register Small Logs 4
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Small4", "PREFAB_SMALLWOOD4")
-- register Large Logs 1
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Large1", "PREFAB_LARGEWOOD1")
-- register Large Logs 2
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Large2", "PREFAB_LARGEWOOD2")
-- register Large Logs 3
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Large3", "PREFAB_LARGEWOOD3")
-- register Stump
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Stump", "PREFAB_STUMP")
-- register Fence 1
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence1", "PREFAB_FENCE1")
-- register Fence 2
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence2", "PREFAB_FENCE2")
-- register Fence 3
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence3", "PREFAB_FENCE3")
-- register Fence 4
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence4", "PREFAB_FENCE4")
-- register Fence 5
VillageDeco:registerAssetId("models/fences.fbx/Prefab/Fence5", "PREFAB_FENCE5")
-- register Crate 1
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate1", "PREFAB_CRATE1")
-- register Crate 2
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate2", "PREFAB_CRATE2")
-- register Crate 3
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate3", "PREFAB_CRATE3")
-- register Crate 4
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate4", "PREFAB_CRATE4")
-- register Crate 5
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate5", "PREFAB_CRATE5")
-- register Handcrate
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Handcrate", "PREFAB_HANDCRATE")
-- register Flower Red
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Red", "PREFAB_FLOWER_RED")
-- register Flower Blue
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Blue", "PREFAB_FLOWER_BLUE")
-- register Flower Yellow
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Yellow", "PREFAB_FLOWER_YELLOW")
-- register Flower Orange
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Orange", "PREFAB_FLOWER_ORANGE")
-- register Flower Purple
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Purple", "PREFAB_FLOWER_PURPLE")
-- register Flower Purple 2
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Purple2", "PREFAB_FLOWER_PURPLE2")
-- register Flower White
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/White", "PREFAB_FLOWER_WHITE")
-- register Flower Pink
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Pink", "PREFAB_FLOWER_PINK")
-- register Flower Pink 2
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Pink2", "PREFAB_FLOWER_PINK2")
-- register Flower Teal
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Teal", "PREFAB_FLOWER_TEAL")
-- register Pumpkin
VillageDeco:registerAssetId("models/pumpkin.fbx/Prefab/Pumpkin", "PREFAB_PUMPKIN")
-- register Campfire
VillageDeco:registerAssetId("models/campfire.fbx/Prefab/Campfire", "PREFAB_CAMPFIRE")
-- register Chest
VillageDeco:registerAssetId("models/chest.fbx/Prefab/Chest", "PREFAB_CHEST")
-- register Dragon
VillageDeco:registerAssetId("models/dragon.fbx/Prefab/Dragon", "PREFAB_DRAGON")
-- register Lantern
VillageDeco:registerAssetId("models/lantern.fbx/Prefab/Lantern", "PREFAB_LANTERN")
-- register Skulls 1
VillageDeco:registerAssetId("models/skulls.fbx/Prefab/Skulls1", "PREFAB_SKULLS1")
-- register Skulls 2
VillageDeco:registerAssetId("models/skulls.fbx/Prefab/Skulls2", "PREFAB_SKULLS2")
-- register Gravestone 1
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone1", "PREFAB_GRAVESTONE1")
-- register Gravestone 2
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone2", "PREFAB_GRAVESTONE2")
-- register Gravestone 3
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone3", "PREFAB_GRAVESTONE3")
-- register Gravestone 4
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone4", "PREFAB_GRAVESTONE4")
-- register Gravestone 5
VillageDeco:registerAssetId("models/gravestones.fbx/Prefab/Gravestone5", "PREFAB_GRAVESTONE5")
-- register Dog
VillageDeco:registerAssetId("models/dog.fbx/Prefab/Dog", "PREFAB_DOG")
-- register Cat
VillageDeco:registerAssetId("models/cat.fbx/Prefab/Cat", "PREFAB_CAT")
-- register Target
VillageDeco:registerAssetId("models/target.fbx/Prefab/Target", "PREFAB_TARGET")
-- register Strange Plant
VillageDeco:registerAssetId("models/strangeplant.fbx/Prefab/StrangePlant", "PREFAB_STRANGEPLANT")

-- register Flowers
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_RED",
	Name = "FLOWER_RED_NAME",
	Description = "FLOWER_RED_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_RED"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_BLUE",
	Name = "FLOWER_BLUE_NAME",
	Description = "FLOWER_BLUE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_BLUE"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_YELLOW",
	Name = "FLOWER_YELLOW_NAME",
	Description = "FLOWER_YELLOW_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_YELLOW"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_ORANGE",
	Name = "FLOWER_ORANGE_NAME",
	Description = "FLOWER_ORANGE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_ORANGE"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_PURPLE",
	Name = "FLOWER_PURPLE_NAME",
	Description = "FLOWER_PURPLE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_PURPLE"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_PURPLE2",
	Name = "FLOWER_PURPLE2_NAME",
	Description = "FLOWER_PURPLE2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_PURPLE2"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_WHITE",
	Name = "FLOWER_WHITE_NAME",
	Description = "FLOWER_WHITE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_WHITE"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_PINK",
	Name = "FLOWER_PINK_NAME",
	Description = "FLOWER_PINK_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_PINK"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_PINK2",
	Name = "FLOWER_PINK2_NAME",
	Description = "FLOWER_PINK2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_PINK2"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FLOWER_TEAL",
	Name = "FLOWER_TEAL_NAME",
	Description = "FLOWER_TEAL_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FLOWER_TEAL"
	}
})

-- register Fences
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FENCE1",
	Name = "FENCE1_NAME",
	Description = "FENCE1_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE1"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FENCE2",
	Name = "FENCE2_NAME",
	Description = "FENCE2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE2"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FENCE3",
	Name = "FENCE3_NAME",
	Description = "FENCE3_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE3"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FENCE4",
	Name = "FENCE4_NAME",
	Description = "FENCE4_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE4"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FENCE5",
	Name = "FENCE5_NAME",
	Description = "FENCE5_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE5"
	}
})

-- register Logs
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_LARGEWOOD1",
	Name = "LARGEWOOD1_NAME",
	Description = "LARGEWOOD1_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LARGEWOOD1"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_LARGEWOOD2",
	Name = "LARGEWOOD2_NAME",
	Description = "LARGEWOOD2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LARGEWOOD2"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_LARGEWOOD3",
	Name = "LARGEWOOD3_NAME",
	Description = "LARGEWOOD3_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LARGEWOOD3"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_SMALLWOOD1",
	Name = "SMALLWOOD1_NAME",
	Description = "SMALLWOOD1_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SMALLWOOD1"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_SMALLWOOD2",
	Name = "SMALLWOOD2_NAME",
	Description = "SMALLWOOD2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SMALLWOOD2"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_SMALLWOOD3",
	Name = "SMALLWOOD3_NAME",
	Description = "SMALLWOOD3_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SMALLWOOD3"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_SMALLWOOD4",
	Name = "SMALLWOOD4_NAME",
	Description = "SMALLWOOD4_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SMALLWOOD4"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_STUMP",
	Name = "STUMP_NAME",
	Description = "STUMP_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STUMP"
	}
})

-- register Crates
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_CRATE1",
	Name = "CRATE1_NAME",
	Description = "CRATE1_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE1"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_CRATE2",
	Name = "CRATE2_NAME",
	Description = "CRATE2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE2"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_CRATE3",
	Name = "CRATE3_NAME",
	Description = "CRATE3_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE3"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_CRATE4",
	Name = "CRATE4_NAME",
	Description = "CRATE4_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE4"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_CRATE5",
	Name = "CRATE5_NAME",
	Description = "CRATE5_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CRATE5"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_HANDCRATE",
	Name = "HANDCRATE_NAME",
	Description = "HANDCRATE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_HANDCRATE"
	}
})

-- register Chest
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_CHEST",
	Name = "CHEST_NAME",
	Description = "CHEST_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CHEST"
	}
})

-- register Campfire
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_CAMPFIRE",
	Name = "CAMPFIRE_NAME",
	Description = "CAMPFIRE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CAMPFIRE"
	}
})

-- register Pumpkin
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PUMPKIN",
	Name = "PUMPKIN_NAME",
	Description = "PUMPKIN_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PUMPKIN"
	}
})

-- register Lantern
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_LANTERN",
	Name = "LANTERN_NAME",
	Description = "LANTERN_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LANTERN"
	}
})

-- register Dragon
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DRAGON",
	Name = "DRAGON_NAME",
	Description = "DRAGON_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DRAGON"
	}
})

-- register Strange Plant
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_STRANGEPLANT",
	Name = "STRANGEPLANT_NAME",
	Description = "STRANGEPLANT_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STRANGEPLANT"
	}
})

-- register Dog
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DOG",
	Name = "DOG_NAME",
	Description = "DOG_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DOG"
	}
})

-- register Cat
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_CAT",
	Name = "CAT_NAME",
	Description = "CAT_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CAT"
	}
})

-- register Target
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_TARGET",
	Name = "TARGET_NAME",
	Description = "TARGET_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TARGET"
	}
})

--register Gravestones
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_GRAVESTONE1",
	Name = "GRAVESTONE1_NAME",
	Description = "GRAVESTONE1_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE1"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_GRAVESTONE2",
	Name = "GRAVESTONE2_NAME",
	Description = "GRAVESTONE2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE2"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_GRAVESTONE3",
	Name = "GRAVESTONE3_NAME",
	Description = "GRAVESTONE3_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE3"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_GRAVESTONE4",
	Name = "GRAVESTONE4_NAME",
	Description = "GRAVESTONE4_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE4"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_GRAVESTONE5",
	Name = "GRAVESTONE5_NAME",
	Description = "GRAVESTONE5_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRAVESTONE5"
	}
})

-- register Skulls
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_SKULLS1",
	Name = "SKULLS1_NAME",
	Description = "SKULLS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SKULLS1"
	}
})
VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_SKULLS2",
	Name = "SKULLS2_NAME",
	Description = "SKULLS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SKULLS2"
	}
})

-- register Grass Clearing Area
VillageDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire", {
	DataType = "COMP_DIRT_CIRCLE"
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate1", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate2", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate3", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate4", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate5", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Handcrate", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/chest.fbx/Prefab/Chest", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/dragon.fbx/Prefab/Dragon", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 8, 4 }
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence1/", 
	{DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 3 }
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence2", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 3 }
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence3", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 3 }
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence4", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 3 }
})
VillageDeco:registerPrefabComponent("models/fences.fbx/Prefab/Fence5", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 3 }
})