local VillageDeco = ...

VillageDeco:register({
	DataType = "MONUMENT",
	Id = "DECORATION_MONUMENT",
	Name = "DECORATION_NAME",
	Description = "DECORATION_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "LIST_MISC_NAME",
	        BuildingPartList = {
				"PREFAB_DRAGON",
				"PREFAB_TARGET",
				"PREFAB_CHEST",
				"PREFAB_CAMPFIRE",
				"PREFAB_PUMPKIN",
				"PREFAB_LANTERN",
				"PREFAB_SKULLS1",
				"PREFAB_SKULLS2",
				"PREFAB_DOG",
				"PREFAB_CAT",
			}
		},
		{
			Name = "LIST_LOG_NAME",
			BuildingPartList = {
				"PREFAB_LARGEWOOD1",
				"PREFAB_LARGEWOOD2",
				"PREFAB_LARGEWOOD3",
				"PREFAB_SMALLWOOD1",
				"PREFAB_SMALLWOOD2",
				"PREFAB_SMALLWOOD3",
				"PREFAB_SMALLWOOD4",
				"PREFAB_STUMP"
			}
		},
		{
			Name = "LIST_CRATE_NAME",
			BuildingPartList = {
				"PREFAB_CRATE1",
				"PREFAB_CRATE2",
				"PREFAB_CRATE3",
				"PREFAB_CRATE4",
				"PREFAB_CRATE5",
				"PREFAB_HANDCRATE"
			}
		},
		{
			Name = "LIST_FENCE_NAME",
			BuildingPartList = {
				"PREFAB_FENCE1",
				"PREFAB_FENCE2",
				"PREFAB_FENCE3",
				"PREFAB_FENCE4",
				"PREFAB_FENCE5"
			}
		},
		{
			Name = "LIST_GRAVESTONE_NAME",
			BuildingPartList = {
				"PREFAB_GRAVESTONE1",
				"PREFAB_GRAVESTONE2",
				"PREFAB_GRAVESTONE3",
				"PREFAB_GRAVESTONE4",
				"PREFAB_GRAVESTONE5"
			}
		},
		{
			Name = "LIST_PLANT_NAME",
	        BuildingPartList = {
				"PREFAB_STRANGEPLANT",
				"PREFAB_FLOWER_RED",
				"PREFAB_FLOWER_BLUE",
				"PREFAB_FLOWER_YELLOW",
				"PREFAB_FLOWER_ORANGE",
				"PREFAB_FLOWER_PURPLE",
				"PREFAB_FLOWER_PURPLE2",
				"PREFAB_FLOWER_WHITE",
				"PREFAB_FLOWER_PINK",
				"PREFAB_FLOWER_PINK2",
				"PREFAB_FLOWER_TEAL"
			}
        }
    },
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true
})